## LassoSaml2AuthnStatement LassoSaml2AuthnStatement — <saml2:AuthnStatement> |

## Functions

LassoNode * | lasso_saml2_authn_statement_new ()

## Types and Values

struct | LassoSaml2AuthnStatement

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSaml2StatementAbstract
                ╰── LassoSaml2AuthnStatement

## Description

Figure 52. Schema fragment for saml2:AuthnStatement

    <complexType name="AuthnStatementType">
      <complexContent>
        <extension base="saml:StatementAbstractType">
          <sequence>
            <element ref="saml:SubjectLocality" minOccurs="0"/>
            <element ref="saml:AuthnContext"/>
          </sequence>
          <attribute name="AuthnInstant" type="dateTime" use="required"/>
          <attribute name="SessionIndex" type="string" use="optional"/>
          <attribute name="SessionNotOnOrAfter" type="dateTime" use="optional"/>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_saml2_authn_statement_new ()

    LassoNode *
    lasso_saml2_authn_statement_new (void);

Creates a new LassoSaml2AuthnStatement object.

#### Returns

a newly created LassoSaml2AuthnStatement object

## Types and Values

### struct LassoSaml2AuthnStatement

    struct LassoSaml2AuthnStatement {
    	/* elements */
    	LassoSaml2SubjectLocality *SubjectLocality;
    	LassoSaml2AuthnContext *AuthnContext;
    	/* attributes */
    	char *AuthnInstant;
    	char *SessionIndex;
    	char *SessionNotOnOrAfter;
    };